public bool ExtremeFaces(bool RevolRib, double bnd, Geom_Plane Pln, TopoDS_Edge FirstEdge, TopoDS_Edge LastEdge, TopoDS_Face FirstFace, TopoDS_Face LastFace, TopoDS_Vertex FirstVertex, TopoDS_Vertex LastVertex, ref bool OnFirstFace, ref bool OnLastFace, ref bool PtOnFirstEdge, ref bool PtOnLastEdge, TopoDS_Edge OnFirstEdge, TopoDS_Edge OnLastEdge) { throw new NotImplementedException(); }
//-------------------------------------------------------------------------------------------------- void _UpdateTrihedron() { if (!Points.Any()) { return; } // Calc Center var center = new XY(); Points.ForEach(i => center.Add(_Sketch.Points[i].Coord)); center.Divide(Points.Count); _Center2D = center.ToPnt(); //Debug.WriteLine("MoveSketchPointAction - Center {0} {1}", center.X(), center.Y()); // Project center point onto sketch plane var center3D = ElSLib.Value(center.X, center.Y, _Sketch.Plane); //Debug.WriteLine("MoveSketchPointAction - Center3D {0} {1} {2}", center3D.X(), center3D.Y(), center3D.Z()); // Calculate center point on working plane if (_Sketch.Plane.Location.IsEqual(WorkspaceController.Workspace.WorkingPlane.Location, 0.00001)) { _Center2DOnWorkingPlane = _Center2D; } else { double u = 0, v = 0; ElSLib.Parameters(WorkspaceController.Workspace.WorkingPlane, _Sketch.Plane.Location, ref u, ref v); _Center2DOnWorkingPlane = _Center2D.Translated(new Vec2d(u, v)); } // Use plane from sketch, but translate it to center position var plane = _Sketch.Plane; plane.Location = center3D; _GizmoPlane = new Geom_Plane(plane); _GeomPlane = new Geom_Plane(plane); // Create Gizmo if (Gizmo == null) { Gizmo = new AIS_TranslationGizmo2D(_GizmoPlane); Gizmo.SetLength(100); WorkspaceController.Workspace.AisContext.Display(Gizmo, false); } else { Gizmo.SetComponent(_GeomPlane); WorkspaceController.Workspace.AisContext.Redisplay(Gizmo, false); } }
public TopoDS_Face ChoiceOfFaces(TopTools_ListOfShape faces, Geom_Curve cc, double par, double bnd, Geom_Plane Pln) { throw new NotImplementedException(); }
public bool NoSlidingProfile(TopoDS_Face Prof, bool RevolRib, double myTol, ref int Concavite, Geom_Plane myPln, double bnd, TopoDS_Face BndFace, gp_Pnt CheckPnt, TopoDS_Face FirstFace, TopoDS_Face LastFace, TopoDS_Vertex FirstVertex, TopoDS_Vertex LastVertex, TopoDS_Edge FirstEdge, TopoDS_Edge LastEdge, bool OnFirstFace, bool OnLastFace) { throw new NotImplementedException(); }
public void Init(TopoDS_Shape Sbase, TopoDS_Wire W, Geom_Plane P, gp_Vec Direction, gp_Vec Direction1, int Fuse, bool Modify) { throw new NotImplementedException(); }
public BRepFeat_MakeLinearForm(TopoDS_Shape Sbase, TopoDS_Wire W, Geom_Plane P, gp_Vec Direction, gp_Vec Direction1, int Fuse, bool Modify) : base() { throw new NotImplementedException(); }
public AIS_Plane(Geom_Plane aComponent, gp_Pnt aCenter, gp_Pnt aPmin, gp_Pnt aPmax) : base() { throw new NotImplementedException(); }
public BRepFeat_MakeRevolutionForm(TopoDS_Shape Sbase, TopoDS_Wire W, Geom_Plane Plane, gp_Ax1 Ax_is, double Height1, double Height2, int Fuse, ref bool Sliding) : base() { throw new NotImplementedException(); }
public AIS_Plane(Geom_Plane aComponent) : base() { throw new NotImplementedException(); }
public void SetPlaneAttributes(Geom_Plane aComponent, gp_Pnt aCenter, gp_Pnt aPmin, gp_Pnt aPmax) { throw new NotImplementedException(); }
public void SetComponent(Geom_Plane aComponent) { throw new NotImplementedException(); }
public AIS_PlaneTrihedron(Geom_Plane aPlane) : base() { throw new NotImplementedException(); }
public void Init(TopoDS_Shape Sbase, TopoDS_Wire W, Geom_Plane Plane, gp_Ax1 Ax_is, double Height1, double Height2, int Fuse, ref bool Sliding) { throw new NotImplementedException(); }
public gp_Pnt CheckPoint(TopoDS_Edge e, double bnd, Geom_Plane Pln) { throw new NotImplementedException(); }
public AIS_Plane(Geom_Plane aComponent, gp_Pnt aCenter, bool aCurrentMode) : base() { throw new NotImplementedException(); }
public void Plane(Geom_Plane P) { throw new NotImplementedException(); }
public Geom_Curve ProjectOnPlane(Geom_Curve Curve, Geom_Plane Plane, gp_Dir Dir, bool KeepParametrization) { throw new NotImplementedException(); }